html,
body {
	font-family: MainFontRegular;
}

body.dark {
	background-color: var(--dark);
	color: var(--light);
}

.modal,
.accordion {
	color: var(--dark);
}

.dark .accordion-header button,
.dark .accordion-body {
	background-color: var(--dark);
	color: var(--light);
}

.dark .accordion-header button:after {
	filter: invert(1)
}
.dark .card {
	background-color: var(--dark);
	color: var(--light);
}
.dark .card,
.dark .card .card-header,
.dark .card .card-body {
	border-color: var(--light);
}
.dark .news .footer,
.dark .news .card-footer {
	color: var(--light75);
}

.dark .dropdown-menu {
	background: var(--dark);
	border-color: var(--light75);
}
.dark .dropdown-menu .dropdown-item {
	color: var(--light);
}
.dark .dropdown-menu .dropdown-item.active,
.dark .dropdown-menu .dropdown-item:hover {
	color: var(--dark);
	background: var(--light);
}

.dark nav.navbar .nav-item .nav-link.active,
.dark nav.navbar .nav-item .nav-link.show,
.dark nav.navbar .nav-item .nav-link:hover {
	color: var(--light);
	background: var(--light25);
}

a {
	color: var(--primary);
	text-decoration: none;
}

a:hover {
	color: var(--primaryHover);
}

.pageHeader, .pageBody, .pageFooter {
	padding-top: 30px;
}
.pageFooter .nav {
	padding-top: 15px;
	padding-bottom: 15px;
}
nav.navbar .navbar-nav .nav-link {
	padding: 15px;
	color: var(--text);
}

.page-item.active .page-link {
	color: var(--primaryText);
	background-color: var(--primary);
	border-color: var(--primary);
	pointer-events: none;
}

.page-item .page-link {
	color: var(--primary);
	background-color: transparent;
}

.page-item .page-link:hover {
	color: var(--primaryText);
	background-color: var(--primary);
	border-color: var(--primary);
}

.news .footer,
.news .card-footer {
	color: var(--dark75);
}
.news-single .teaser-text {
	color: var(--secondary);
}

nav.navbar .navbar-nav .nav-link:hover {
	color: var(--primary);
}

nav.navbar .dropdown-item.active,
nav.navbar .dropdown-item:active,
nav.navbar .dropdown-item:hover {
	color: var(--text);
	background-color: #e9ecef;
}

.nav-link.dropdown-toggle {
	padding-bottom: 5px;
}
.dropdown-menu {
	border: none;
}
.dropdown-submenu {
	list-style: none;
	padding-inline-start: 15px;
}
.dropdown-submenu .nav-link {
	padding: 0;
}

.nav-tabs .nav-link.active {
	background-color: transparent;
	color: var(--primary);
}
.frame-layout-bg,
.frame-layout-border {
	padding: 1rem;
}

.carousel .carousel-inner .carousel-item {
	padding: 1rem 15% 0 15%;
}
.carousel .carousel-control-prev,
.carousel .carousel-control-next {
	font-size: 24px;
}

.accordion-button:focus {
    box-shadow: none;
}

.accordion-button:not(.collapsed) {
    color: var(--primary);
    background-color: var(--primary25);
    box-shadow: none;
}

.accordion-button:not(.collapsed):after {
    background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23212529'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
}

.nav-link {
    color: var(--primary);
}

.nav-link:focus,
.nav-link:active,
.nav-link:active:focus,
.nav-link:hover {
    color: var(--primaryHover);
    box-shadow: none;
}


.breadcrumb-link:focus,
.breadcrumb-link:active,
.breadcrumb-link:active:focus,
.breadcrumb-link:hover {
    color: var(--primary);
    box-shadow: none;
}

.breadcrumb-link {
    color: var(--text);
}

.tx-indexedsearch-searchbox-sword {
	margin: 0 !important;
	background: transparent;
	border-radius: 0;
	border-right: 0;
	border-color: var(--light);
	color: var(--light);
}

.tx-indexedsearch-searchbox-sword:focus,
.tx-indexedsearch-searchbox-sword:focus + .tx-indexedsearch-searchbox-button {
	box-shadow: none;
	border-color: var(--secondary);
}

#tx_indexedsearch .tx-indexedsearch-searchbox-button {
	border-color: var(--primary);
}

#tx_indexedsearch .tx-indexedsearch-searchbox-sword {
	border-right: 1px solid;
}

form input.tx-indexedsearch-searchbox-button {
	border-left: 0;
	border-color: var(--light);
}

input.tx-indexedsearch-searchbox-button:hover {
	border-color: var(--light);
}

.card {
	border-radius: 0;
}

.pagination .page-item,
.pagination .page-item .page-link {
	border-radius: 0;
}

.news .news-list-view .card .card-img-top img {
	width: 100%;
	height: 250px;
	object-fit: cover;
}

body.dark #colorModeSwitch {
	background-color: transparent;
	color: var(--secondary);
}
body.dark #colorModeSwitch:hover {
	background-color: var(--secondary);
	color: white;
}

/* List striped */
ul.list-striped {
	list-style: none;
}
ul.list-striped > li {
	padding: 10px 15px;
}
ul.list-striped > li:nth-of-type(even) {
	background-color: var(--secondary25);
	color: var(--secondaryText);
}
ul.list-striped > li:nth-of-type(odd) {
	background-color: transparent;
}

ul.list-striped > li > ul {
	list-style: none;
}
ul.list-striped > li > ul > li {
	padding: 10px 15px;
}
ul.list-striped > li > ul > li:nth-of-type(odd) {
	background-color: var(--secondary25);
	color: var(--text);
}
ul.list-striped > li > ul > li:nth-of-type(even) {
	background-color: transparent;
}

.pageFooter {
    background-color: var(--secondary25);
}
